OGRE: Ogre::TextureDefinitionBase::BufferDefinition Struct Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::TextureDefinitionBase::BufferDefinition Struct Reference

`#include <OgreTextureDefinition.h>`

Inheritance diagram for Ogre::TextureDefinitionBase::BufferDefinition:
[legend]

## Public Member Functions
| BufferDefinition (IdString _name, size_t _numElements, uint32 _bytesPerElement, uint32 _bindFlags, float _widthFactor, float _heightFactor)
void | _setName (IdString newName)
| Do not call directly. More...
IdString | getName (void) const
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...

## Public Attributes
uint32 | bindFlags
uint32 | bytesPerElement
float | heightFactor
IdString | name
size_t | numElements
float | widthFactor
| Sometimes buffers can be used as a plain-array contiguous image (instead of the swizzled pattern from textures). More...

## Constructor & Destructor Documentation

## ◆ BufferDefinition()

Ogre::TextureDefinitionBase::BufferDefinition::BufferDefinition | ( | IdString | _name,
|  | size_t | _numElements,
|  | uint32 | _bytesPerElement,
|  | uint32 | _bindFlags,
|  | float | _widthFactor,
|  | float | _heightFactor
| ) |  |
| inline

## Member Function Documentation

## ◆ _setName()

void Ogre::TextureDefinitionBase::BufferDefinition::_setName | ( | IdString | newName | ) |
| inline

Do not call directly.

See also
  TextureDefinition::renameBuffer instead.

## ◆ getName()

IdString Ogre::TextureDefinitionBase::BufferDefinition::getName | ( | void |  | ) | const
| inline

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

## Member Data Documentation

## ◆ bindFlags

uint32 Ogre::TextureDefinitionBase::BufferDefinition::bindFlags

## ◆ bytesPerElement

uint32 Ogre::TextureDefinitionBase::BufferDefinition::bytesPerElement

## ◆ heightFactor

float Ogre::TextureDefinitionBase::BufferDefinition::heightFactor

## ◆ name

IdString Ogre::TextureDefinitionBase::BufferDefinition::name

## ◆ numElements

size_t Ogre::TextureDefinitionBase::BufferDefinition::numElements

## ◆ widthFactor

float Ogre::TextureDefinitionBase::BufferDefinition::widthFactor

Sometimes buffers can be used as a plain-array contiguous image (instead of the swizzled pattern from textures).

The formula to calculate final num elements is : finalNumElements = numElements; if( widthFactor > 0 ) finalNumElements *= (widthFactor * width); if( heightFactor > 0 ) finalNumElements *= (heightFactor * height); For example if you want to do 512 x height; just set numElements to 512 and heightFactor to 1. Since there are no pixel formats, the bytesPerElement controls such such thing (eg. 4 bytes for RGBA8888)

The documentation for this struct was generated from the following file:

- OgreTextureDefinition.h